package com.jg.softbus.discovery;

import com.jg.softbus.discovery.enums.DataBitMap;

/**
 *  Defines the mapping between supported capabilities and bitmaps.
 */
public class CapabilityMap {
    /** Bitmaps. For details, see {@link DataBitMap}. */
    private DataBitMap bitmap;
    /** Capability. For details, see {@link DataBitMap}. */
    private String capability;

    public DataBitMap getBitmap() {
        return bitmap;
    }

    public void setBitmap(DataBitMap bitmap) {
        this.bitmap = bitmap;
    }

    public String getCapability() {
        return capability;
    }

    public void setCapability(String capability) {
        this.capability = capability;
    }
}
