package com.jg.softbus.network.protocol;

import java.util.Objects;

/**< BLE address */
public class BleAddr {
    /**< BLE protocol */
    private BleProtocolType protocol;
    /**< BLE MAC address in string format */
    private String bleMac;
    /**< udid hash value */
    private byte[] udidHash;
    private int psm;

    public BleProtocolType getProtocol() {
        return protocol;
    }

    public void setProtocol(BleProtocolType protocol) {
        this.protocol = protocol;
    }

    public String getBleMac() {
        return bleMac;
    }

    public void setBleMac(String bleMac) {
        this.bleMac = bleMac;
    }

    public byte[] getUdidHash() {
        return udidHash;
    }

    public void setUdidHash(byte[] udidHash) {
        this.udidHash = udidHash;
    }

    public int getPsm() {
        return psm;
    }

    public void setPsm(int psm) {
        this.psm = psm;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        BleAddr bleAddr = (BleAddr) o;
        return protocol == bleAddr.protocol && Objects.equals(bleMac, bleAddr.bleMac) && Objects.equals(udidHash, bleAddr.udidHash) && Objects.equals(psm, bleAddr.psm);
    }

    @Override
    public int hashCode() {
        return Objects.hash(protocol, bleMac, udidHash, psm);
    }
}
