package com.jg.softbus.session;

import java.util.Objects;

/**
 *  Defines the bandwidth detection information.
 */
public class BandwidthDetection {
    /**< Bandwidth change trend */
    private int trend;
    /**< Bandwidth rate */
    private int rate;
    public BandwidthDetection() {

    }
    public BandwidthDetection(int trend, int rate) {
        this.trend = trend;
        this.rate = rate;
    }

    public Integer getTrend() {
        return trend;
    }

    public void setTrend(Integer trend) {
        this.trend = trend;
    }

    public Integer getRate() {
        return rate;
    }

    public void setRate(Integer rate) {
        this.rate = rate;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        BandwidthDetection that = (BandwidthDetection) o;
        return Objects.equals(trend, that.trend) && Objects.equals(rate, that.rate);
    }

    @Override
    public int hashCode() {
        return Objects.hash(trend, rate);
    }

    @Override
    public String toString() {
        return "BandwidthDetection{" +
                "trend=" + trend +
                ", rate=" + rate +
                '}';
    }
}
