package com.jg.softbus.session;

import java.util.Objects;

/**
 * Defines the Wi-Fi channel quality.
 */
public class WifiChannelQuality {
    /**< Wi-Fi channel */
    private int channel;
    /**< Wi-Fi channel score */
    private int score;

    public WifiChannelQuality() {

    }

    public WifiChannelQuality(int channel, int score) {
        this.channel = channel;
        this.score = score;
    }

    public int getChannel() {
        return channel;
    }

    public void setChannel(int channel) {
        this.channel = channel;
    }

    public int getScore() {
        return score;
    }

    public void setScore(int score) {
        this.score = score;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        WifiChannelQuality that = (WifiChannelQuality) o;
        return Objects.equals(channel, that.channel) && Objects.equals(score, that.score);
    }

    @Override
    public int hashCode() {
        return Objects.hash(channel, score);
    }

    @Override
    public String toString() {
        return "WifiChannelQuality{" +
                "channel=" + channel +
                ", score=" + score +
                '}';
    }
}
