/** 
* Copyright (c) 2022-2024. jinggezhihui. All rights reserved.  
* FileName: DeviceState.java 
* Author: marunming
* Email: runming56@163.com
* Date: 2023年10月26日 下午3:28:34
* version: V1.0
* LastModified: 2023年10月26日 下午3:28:34   
*/ 


package com.jg.softbus.device;

/** 
* 设备状态
*
* @Author marunming
* @ClassName: DeviceState 
* @Email runming56@163.com
* @Date 2023年10月26日 下午3:28:34 
*/
public enum DeviceState {
	/**
	 * 位置状态
	 */
	UNKNOWN,
	/**
	 * 在线
	 */
    ONLINE,
    /**
     * 离线
     */
    OFFLINE;

    private DeviceState() {
    }
	
}
