package com.jg.softbus.network.callback;

import com.jg.softbus.network.protocol.ConnectionAddr;

/**
 *  网络连接回调接口
 */
public interface ILNNCallback {
    /**
     * 加入网络回调返回
     * @param addr
     * @param networkId
     * @param retCode
     */
    void onJoinLNNResult(ConnectionAddr addr, String networkId, int retCode);

    /**
     * 离开网络回调
     * @param networkId
     * @param retCode
     */
    void onLeaveLNNResult(String networkId, int retCode);
}
