package com.jg.softbus.network.protocol;

import java.util.Objects;

/**
 * 桥接网络信息
 */
public class BrAddr {
    /**< BR MAC address in string format */
    private String brMac;

    public BrAddr(){

    }
    public BrAddr(String brMac) {
        this.brMac = brMac;
    }

    public String getBrMac() {
        return brMac;
    }

    public void setBrMac(String brMac) {
        this.brMac = brMac;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        BrAddr brAddr = (BrAddr) o;
        return Objects.equals(brMac, brAddr.brMac);
    }

    @Override
    public int hashCode() {
        return Objects.hash(brMac);
    }
}
