package com.jg.softbus.network.protocol;

import java.util.Objects;

/**< IPv4 or IPv6 address */
public class IpAddr {
    private String ip;
    /**< Port number represented by the host byte order */
    private int port;

    public IpAddr() {

    }

    public IpAddr(String ip, int port) {
        this.ip = ip;
        this.port = port;
    }

    public String getIp() {
        return ip;
    }

    public void setIp(String ip) {
        this.ip = ip;
    }

    public int getPort() {
        return port;
    }

    public void setPort(int port) {
        this.port = port;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        IpAddr ipAddr = (IpAddr) o;
        return Objects.equals(ip, ipAddr.ip) && Objects.equals(port, ipAddr.port);
    }

    @Override
    public int hashCode() {
        return Objects.hash(ip, port);
    }
}
