package com.jg.softbus.network.protocol;

import java.util.Objects;

/**
 * Session address
 */
public class SessionAddr {
    /**< Session Id in int format */
    private int sessionId;
    /**< Channel Id in int format */
    private int channelId;
    /**< Session type in int format */
    private int type;

    public int getSessionId() {
        return sessionId;
    }

    public void setSessionId(int sessionId) {
        this.sessionId = sessionId;
    }

    public int getChannelId() {
        return channelId;
    }

    public void setChannelId(int channelId) {
        this.channelId = channelId;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        SessionAddr that = (SessionAddr) o;
        return Objects.equals(sessionId, that.sessionId) && Objects.equals(channelId, that.channelId) && Objects.equals(type, that.type);
    }

    @Override
    public int hashCode() {
        return Objects.hash(sessionId, channelId, type);
    }
}
