package com.jg.softbus.session;

import java.util.Objects;

/**
 * tv的有关网络信息
 */
public class QosTvInfo {
    /**< Wi-Fi channel quality {@link WifiChannelQuality} */
    private WifiChannelQuality wifiChannelInfo;
    /**< Frame information {@link FrameStatus} */
    private FrameStatus frameStatusInfo;
    /**< Bandwidth detection {@link BandwidthDetection} */
   private BandwidthDetection bandwidthInfo;
    /**< Network jitter estimation {@link JitterEstimation} */
    private JitterEstimation jitterInfo;
    /**< Stream transmission statistics {@link StreamStatistics} */
    private StreamStatistics appStatistics;

    public WifiChannelQuality getWifiChannelInfo() {
        return wifiChannelInfo;
    }

    public void setWifiChannelInfo(WifiChannelQuality wifiChannelInfo) {
        this.wifiChannelInfo = wifiChannelInfo;
    }

    public FrameStatus getFrameStatusInfo() {
        return frameStatusInfo;
    }

    public void setFrameStatusInfo(FrameStatus frameStatusInfo) {
        this.frameStatusInfo = frameStatusInfo;
    }

    public BandwidthDetection getBandwidthInfo() {
        return bandwidthInfo;
    }

    public void setBandwidthInfo(BandwidthDetection bandwidthInfo) {
        this.bandwidthInfo = bandwidthInfo;
    }

    public JitterEstimation getJitterInfo() {
        return jitterInfo;
    }

    public void setJitterInfo(JitterEstimation jitterInfo) {
        this.jitterInfo = jitterInfo;
    }

    public StreamStatistics getAppStatistics() {
        return appStatistics;
    }

    public void setAppStatistics(StreamStatistics appStatistics) {
        this.appStatistics = appStatistics;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        QosTvInfo qosTvInfo = (QosTvInfo) o;
        return Objects.equals(wifiChannelInfo, qosTvInfo.wifiChannelInfo) && Objects.equals(frameStatusInfo, qosTvInfo.frameStatusInfo) && Objects.equals(bandwidthInfo, qosTvInfo.bandwidthInfo) && Objects.equals(jitterInfo, qosTvInfo.jitterInfo) && Objects.equals(appStatistics, qosTvInfo.appStatistics);
    }

    @Override
    public int hashCode() {
        return Objects.hash(wifiChannelInfo, frameStatusInfo, bandwidthInfo, jitterInfo, appStatistics);
    }

    @Override
    public String toString() {
        return "QosTvInfo{" +
                "wifiChannelInfo=" + wifiChannelInfo +
                ", frameStatusInfo=" + frameStatusInfo +
                ", bandwidthInfo=" + bandwidthInfo +
                ", jitterInfo=" + jitterInfo +
                ", appStatistics=" + appStatistics +
                '}';
    }
}
